{ pkgs, ... }: {
  imports = [
    ./nautilus.nix
    # ./thunar.nix
  ];
  home.packages = with pkgs; [
    bc
    gnome.gnome-screenshot
    lockscreen
    pamixer
    playerctl
    terminator
    unstable.bsp-layout
    unstable.kitty
    update-background
    xorg.xbacklight
    clipedit
  ];
  services.sxhkd =
    let
      primaryTerminal = "kitty";
      secondaryTerminal = "terminator";
      fileManager = "nautilus";
      emojiChooser = "rofimoji --skin-tone light -a copy";
      yad = "${pkgs.yad}/bin/yad";
    in
    {
      enable = true;
      keybindings = {
        "alt + Tab" = "rofi -show window";
        "Print" = "gnome-screenshot";
        "super + alt + {h,j,k,l}" = "bspc node -z {left -20 0,bottom 0 20,top 0 -20,right 20 0}";
        "super + alt + m" = "lockscreen";
        "super + alt + p" = "autorandr -c";
        "super + alt + q" = ''
          ${yad} --question --center --on-top --sticky --timeout=30 --timeout-indicator=bottom --image=gnome-shutdown --title "Shutdown" --text "Do you want to shutdown?" && bspc quit
        '';
        "super + alt + r" = "bspc wm -r";
        "super + alt + {Right,Down,Left}" = "playerctl {next,play-pause,previous}";
        "super + alt + shift + {h,j,k,l}" = "bspc node -z {right -20 0,top 0 20,bottom 0 -20,left 20 0}";
        "super + bracket{left,right}" = "bspc desktop -f {prev,next}.local";
        "super + b" = "update-background";
        "super + ctrl + {1-9}" = "bspc node -o 0.{1-9}";
        "super + ctrl + {h,j,k,l}" = "bspc node -p {west,south,north,east}";
        "super + ctrl + {m,x,y,z}" = "bspc node -g {marked,locked,sticky,private}";
        "super + ctrl + shift + space" = "bspc query -N -d | xargs -I id -n 1 bspc node id -p cancel";
        "super + ctrl + space" = "bspc node -p cancel";
        "super + e" = fileManager;
        "super + shift + p" = "clipedit";
        "super + Escape" = "pkill -USR1 -x sxhkd";
        "super + g" = "bspc node -s biggest";
        "super + {grave,Tab}" = "bspc {node,desktop} -f last";
        "super + {h,j,k,l}" = "dir={west,south,north,east}; bspc node -f $dir || bspc monitor -f $dir";
        "super + {Left,Down,Up,Right}" = "bspc node -v {-20 0,0 20,0 -20,20 0}";
        "super + m" = "bspc desktop -l next";
        "super + n {_, + shift}" = "bsp-layout {next, previous}";
        "super + {o,i}" = "bspc wm -h off;bspc node {older,newer} -f;bspc wm -h on";
        "super + {p,b,comma,period}" = "bspc node -f @{parent,brother,first,second}";
        "super + {_,shift + }{1-9,0}" = "bspc {desktop -f,node -d} 'focused:^{1-9,10}'";
        "super + {_,shift + } c" = "bspc node -f {next,prev}.local";
        "super + {_,shift + } @space" = "rofi -show {drun,run}";
        "super + shift + ctrl + d" = "rofi -show ssh";
        "super + shift + e" = emojiChooser;
        "super + shift + {h,j,k,l}" = ''
          dir={west,south,north,east}; bspc node -s "$dir.local" --follow || bspc node -m "$dir" --follow
        '';
        "super + {_,shift + } Return" = "{${primaryTerminal} , ${secondaryTerminal}}";
        "super + {_,shift + } w" = "bspc node -{c,k}";
        "super + {t,shift + t,s,f}" = "bspc node -t {tiled,pseudo_tiled,floating,fullscreen}";
        # "super + y" = "bspc node newest.marked.local -n newest.!automatic.local";
        "{XF86AudioLowerVolume,XF86AudioMute,XF86AudioRaiseVolume}" = "pamixer {-d 2 -u,-t,-i 2 -u} && dunstify -r 1 Volume `pamixer --get-volume-human`";
        "XF86Audio{Next,Play,Prev}" = "playerctl {next,play-pause,previous}";
        "XF86MonBrightness{Up,Down}" = ''
          xbacklight -{inc,dec} 10 && dunstify -r 2 Luminosità `printf "%.0f" $(xbacklight -get)`
        '';
      };
    };
}
